> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/reports/turnover-report-for-stores.md).

# Turnover report for stores

Get turnover data grouped by store.

If `tenant user UID` is specified, the turnover data will only contain the numbers for that specific user.

Required permissions: 'REPORTING, SALES\_ORDER, RETURN\_ORDER'

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Reports","description":"Reports"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TurnoverRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TurnoverRequestSchema"}}}}},"schemas":{"TurnoverRequestSchema":{"title":"TurnoverRequestSchema","type":"object","description":"Turnover Request Body","required":["fromDateTime","toDateTime"],"properties":{"fromDateTime":{"format":"date-time","minLength":20,"type":"string"},"toDateTime":{"format":"date-time","minLength":20,"type":"string"},"reportBasis":{"$ref":"#/components/schemas/TurnoverReportBasisENUM"},"tenantUserUid":{"$ref":"#/components/schemas/UID"},"storeUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}}}},"TurnoverReportBasisENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| settled | Report on settled orders using settled_at. Includes only orders with status COMPLETE and settleState COMPLETE. |\n| ordered | Report on orders using order_date. Includes orders with status COMPLETE or CONFIRMED. |","enum":["settled","ordered"],"default":"settled","title":"TurnoverReportBasisENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StoreReportTurnoverDateSchema":{"title":"StoreReportTurnoverDateSchema","type":"object","required":["costAmount","count","date","discountAmount","revenueAmount","revenuePercent","turnoverAmount"],"properties":{"costAmount":{"type":"integer"},"count":{"type":"integer"},"date":{"type":"string"},"discountAmount":{"type":"integer"},"revenueAmount":{"type":"integer"},"revenuePercent":{"type":"integer"},"turnoverAmount":{"type":"integer"}}},"StoreReportTurnoverItemSchema":{"description":"","properties":{"costAmount":{"type":"integer"},"count":{"type":"integer"},"discountAmount":{"type":"integer"},"name":{"type":"string"},"revenueAmount":{"type":"integer"},"revenuePercent":{"type":"integer"},"storeUid":{"$ref":"#/components/schemas/UID"},"turnoverAmount":{"type":"integer"}},"required":["storeUid","name","turnoverAmount","revenueAmount","revenuePercent","discountAmount","costAmount","count"],"title":"StoreTurnoverReportItem","type":"object"},"ReportTurnoverTotalSchema":{"description":"Turnover Report Total","title":"ReportTurnoverTotalSchema","type":"object","required":["costAmount","count","discountAmount","revenueAmount","revenuePercent","turnoverAmount","orderCount"],"properties":{"costAmount":{"type":"integer"},"count":{"type":"integer"},"discountAmount":{"type":"integer"},"revenueAmount":{"type":"integer"},"revenuePercent":{"type":"integer"},"turnoverAmount":{"type":"integer"},"orderCount":{"type":"integer"}}}},"responses":{"StoreTurnoverResponse":{"content":{"application/json":{"schema":{"properties":{"dates":{"description":"Turnover response grouped by date","items":{"$ref":"#/components/schemas/StoreReportTurnoverDateSchema"},"type":"array"},"stores":{"description":"Turnover response grouped by store","items":{"$ref":"#/components/schemas/StoreReportTurnoverItemSchema"},"type":"array"},"total":{"$ref":"#/components/schemas/ReportTurnoverTotalSchema"}},"required":["items","total"],"type":"object"}}},"description":"Turnover response"}}},"paths":{"/tenants/{tenantUid}/reports/turnover/stores":{"post":{"description":"Get turnover data grouped by store.\n\nIf `tenant user UID` is specified, \nthe turnover data will only contain the numbers for that \nspecific user.\n\nRequired permissions: 'REPORTING, SALES_ORDER, RETURN_ORDER'","operationId":"post-tenants-reports-turnover-stores","requestBody":{"$ref":"#/components/requestBodies/TurnoverRequest"},"responses":{"200":{"$ref":"#/components/responses/StoreTurnoverResponse"}},"summary":"Turnover report for stores","tags":["Reports"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/reports/turnover-report-for-stores.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
